# Copyright (C) 2023 WYATT GROUP
# Please see the AUTHORS file for details.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.

name: wyatt_app_template
description: New app template for Wyatt Studio projects.

version: 0.1.0

vars:
  display_name:
    compilable: Display Name
    type: string
    description: The display name
    default: Display Name
    prompt: "What is the display name?"
    formats:
      - title_case

  project_name:
    compilable: starting_template
    type: string
    description: The project name
    default: starting_template
    prompt: "What is the project name?"
    formats:
      - snake_case

  bundle_id:
    compilable: io.wyattapp.start
    type: string
    description: The bundle id used in Android and iOS
    default: io.wyattapp.start
    prompt: "What is the bundle id?"
    formats:
      - dot_case

  description:
    compilable: A short project description
    type: string
    description: A short project description
    default: An app by Wyatt Studio.
    prompt: "What is the project description?"
    formats:
      - sentence_case

brickgen:
  path_to_brickify: starting_template
  hooks: true
  ignore:
    - .env
    - package-lock.json
    - .dart_tool/
    - .idea/
    - build/
    - node_modules/
    - ios/.symlinks/
